Name: xwpe
Version: 1.5.29a
Release: alt1

Summary: An X Window System programming environment
License: GPL
Url: http://www.identicalsoftware.com/xwpe
Group: Development/Other
BuildRequires: XFree86-devel gpm-devel ncurses-devel zlib-devel
Source: http://www.identicalsoftware.com/xwpe/%name-%version.tar.bz2
Patch: xwpe-1.5.29a-alt-tmpdir.patch

Prefix: /usr

%description
Xwpe is an X Window System programming environment similar to the Borland
C++ or Turbo Pascal environments.  If you've used some of the MS Windows
IDEs and you've longed for an X equivalent, this may be what you're looking
for.

The xwpe system includes four programs:
  * xwpe: the X11 programming environment,
  * xwe: the X11 text editor without the programming environment,
  * wpe: the programming environment for ASCII terminals and
  * we: the text editor for ASCII terminals.

This package just includes the basic xwpe libraries and the text-mode programs
(wpe and we). The X Window System programs (xwpe and xwe) are included in the
xwpe-X11 package, which you'll also need to install.

%package X11
Summary: The X programs needed for the Xwpe programming environment
Group: Development/Other

%description X11
Xwpe is an X Window System programming environment similar to the Borland C++
or Turbo Pascal environments.  If you've used some of the MS Windows IDEs and
you've longed for an X equivalent, this may be what you're looking for.

The xwpe system includes four programs:
  * xwpe: the X11 programming environment,
  * xwe: the X11 text editor without the programming environment,
  * wpe: the programming environment for ASCII terminals and
  * we: the text editor for ASCII terminals.

This package just includes the Xwpe X Window System programs (xwpe and xwe).
The basic xwpe libraries and the text-mode programs (wpe and we) are included
in the xwpe package, which you'll also need to install.

%prep
%setup -q
%patch -p1

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" prefix=$RPM_BUILD_ROOT/usr DESTDIR=$RPM_BUILD_ROOT

%install
mkdir -p $RPM_BUILD_ROOT/usr

%makeinstall LIBDIR=$RPM_BUILD_ROOT%_libdir DESTDIR=$RPM_BUILD_ROOT%_bindir	\
	MANDIR=$RPM_BUILD_ROOT/%_mandir

%files
%doc README CHANGELOG COPYING
%_bindir/we
%_bindir/wpe
%_libdir/xwpe
%_mandir/man1/wpe*
%_mandir/man1/we*

%files X11
%doc COPYING CHANGELOG README
%_mandir/man1/xwpe*
%_mandir/man1/xwe*
%_bindir/xwe
%_bindir/xwpe

%changelog
* Thu Sep 26 2002 Stanislav Ievlev <inger@altlinux.ru> 1.5.29a-alt1
- 1.5.29a
- adopted tmpdir patch

* Sat Apr 28 2001 Stanislav Ievlev <inger@altlinux.ru> 1.5.26a-alt1
- up to 1.5.26a. Fix tmpdir creation

* Tue Dec 19 2000 AEN <aen@logic.ru>
- adopted for RE

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.23a-4mdk
- automatically added BuildRequires

* Thu Jul 20 2000 David BAUDENS <baudens@mandrakesoft.com> 1.5.23a-3mdk
- Human readble descriptions

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.23a-2mdk
- BM
- use new macros

* Tue Jul 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.23a-1mdk
- new in contribs

* Wed May 24 2000 Frank Meurer <meurer@gmx.de>
- updated to 1.5.23a
- CHANGE URL! last official version was 1.4.2!
- change "X Windows" to "X Window" (Summary) ;-)

* Thu Dec 2 1999 Tim Powers <timp@redhat.com>
- updated to 1.5.21a

* Thu Jul 1 1999 Tim Powers <timp@redhat.com>
- update to 1.5.18a

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.5.14a.

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.13a.

* Tue Dec 15 1998 Bill Nottingham <notting@redhat.com>
- fix for glibc2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.12a.

* Thu Aug 20 1998 Jeff Johnson <jbj!redhat.com>
- update to 1.5.11a.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.10a.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.9a.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source and patch urls
- added URL tag

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
